{% extends "base.html" %}
{% load i18n %}
{% block title %}{{ object.name }}{% endblock %}
{% block content %}
  <div class="row mt-2">
    <div class="col-12">
      <h1>
        {{ object.name }}
        {% if object.running %}<span class="badge bg-success">{% translate 'running'|upper %}</span>
        {% else %}<span class="badge bg-danger">{% translate 'closed'|upper %}</span>
        {% endif %}
      </h1>
      <p>
        {% if object.treatment_type %}
          <strong>{{ object.treatment_type }}</strong>
        {% endif %}
        {% if object.location %}
          {% if object.treatment_type %} | {% endif %}
          <i class="bi bi-geo-alt-fill"></i> <a href="{{ object.location.get_absolute_url }}">{{ object.location }}</a>
        {% endif %}
      </p>
    </div>
  </div>
  <div class="row">
    <div class="col text-end">
      {% if perms.treatments.can_run_processing_line %}
          <a href="{% url 'treatments:toggle-operation-processing-line' object.id %}" class="btn btn-outline-success mx-1">
            {% if object.running %}
              <i class="bi bi-door-closed-fill"></i> {% translate 'close the processing line'|capfirst %}
            {% else %}
              <i class="bi bi-door-open-fill"></i> {% translate 'open the processing line'|capfirst %}
            {% endif %}
          </a>
      {%  endif %}
      <a href="{% url 'treatments:print-label-processing-line' object.id %}" class="btn btn-outline-primary mx-1"><i class="bi bi-printer"></i></a>
      {% if perms.treatments.change_treatmenttype %}
          <a href="{% url 'treatments:change-processing-line' object.id %}" class="btn btn-outline-primary mx-1"><i class="bi bi-pencil"></i></a>
      {%  endif %}
      {% if perms.treatments.delete_treatmenttype %}
          <a href="{% url 'treatments:delete-processing-line' object.id %}" class="btn btn-outline-danger mx-1"><i class="bi bi-trash"></i></a>
      {%  endif %}
    </div>
  </div>
  <div class="row mt-2">
    <div class="col-4">
      <div class="card">
        <div class="card-header">
          {% translate 'awaiting processing'|capfirst %}
        </div>
        <div class="card-body">
          <h5 class="card-title text-danger">{{ nb_stabilization_awaiting }}</h5>
        </div>
      </div>
    </div>
    <div class="col-4">
      <div class="card">
        <div class="card-header">
          {% translate 'in process'|capfirst %}
        </div>
        <div class="card-body">
          <h5 class="card-title text-success">{{ stabilization_measures.count }} /
            {% if object.capacity == 0 %}
                {% translate 'unlimited'|capfirst %}
            {% else %}
                {{ object.capacity }}
            {% endif %}
          </h5>
        </div>
      </div>
    </div>
    <div class="col-4">
      <div class="card">
        <div class="card-header">
          {% translate 'processed'|capfirst %}
        </div>
        <div class="card-body">
          <h5 class="card-title">{{ nb_stabilization_finish }}</h5>
        </div>
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col">
      {% include 'treatments/snippets/processingline_detail_table.html' with processing_line=object_list show_type=True show_processing=False %}
    </div>
  </div>
  {% include 'activities/action_object.html' with activities=object.action_object_actions.all %}
{% endblock %}
